SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

CREATE TABLE IF NOT EXISTS `entrepreneur` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `Entreprise` varchar(25) NOT NULL,
  `idPersonne` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `idPersonne` (`idPersonne`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=0 ;

CREATE TABLE IF NOT EXISTS `ouvrage` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `Type` varchar(25) NOT NULL,
  `Debut` int(11) NOT NULL,
  `Fin` int(11) NOT NULL,
  `idEntrepreneur` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=0 ;

CREATE TABLE IF NOT EXISTS `personne` (
  `Nom` varchar(25) NOT NULL,
  `Prenom` varchar(25) NOT NULL,
  `Age` int(11) NOT NULL,
  `NumeroRue` int(11) DEFAULT NULL,
  `NomRue` varchar(50) DEFAULT NULL,
  `Ville` varchar(25) DEFAULT NULL,
  `CodePostal` varchar(5) DEFAULT NULL,
  `Pays` varchar(10) DEFAULT NULL,
  `SituationMaritale` varchar(25) DEFAULT NULL,
  `Sexe` varchar(1) DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=0 ;

ALTER TABLE `entrepreneur`
  ADD CONSTRAINT `entrepreneur_ibfk_1` FOREIGN KEY (`idPersonne`) REFERENCES `personne` (`id`);
